summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2003-09-07 09:28:03 +1000
committerDarren Tucker <dtucker@zip.com.au>2003-09-07 09:28:03 +1000
commitd199b6d69bee62d6e46db5aaf3ead9fa07b79d80 (patch)
treed43ad0d9bf92820a81ae09f38fa037dddd639d14
parent57ac36ffb4a9b168d92a4c978b8550f980f06806 (diff)
- (dtucker) [dynamic-forward.sh forwarding.sh sftp-batch.sh (all regress/)]
Add ${EXEEXT}: required to work on Cygwin.
-rw-r--r--ChangeLog4
-rw-r--r--regress/dynamic-forward.sh7
-rw-r--r--regress/forwarding.sh7
-rw-r--r--regress/sftp-batch.sh2
4 files changed, 12 insertions, 8 deletions
diff --git a/ChangeLog b/ChangeLog
index a974bfce..2c6ec64c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,8 @@
20030907
- (dtucker) [agent-ptrace.sh dynamic-forward.sh (all regress/)]
Put "which" inside quotes.
+ - (dtucker) [dynamic-forward.sh forwarding.sh sftp-batch.sh (all regress/)]
+ Add ${EXEEXT}: required to work on Cygwin.
20030906
- (dtucker) [acconfig.h configure.ac uidswap.c] Prefer setuid/setgid on AIX.
@@ -1028,4 +1030,4 @@
- Fix sshd BindAddress and -b options for systems using fake-getaddrinfo.
Report from murple@murple.net, diagnosis from dtucker@zip.com.au
-$Id: ChangeLog,v 1.2963 2003/09/06 23:22:21 dtucker Exp $
+$Id: ChangeLog,v 1.2964 2003/09/06 23:28:03 dtucker Exp $
diff --git a/regress/dynamic-forward.sh b/regress/dynamic-forward.sh
index 4931e95c..0f175b2d 100644
--- a/regress/dynamic-forward.sh
+++ b/regress/dynamic-forward.sh
@@ -5,6 +5,7 @@ tid="dynamic forwarding"
PORT=4242
FWDPORT=4243
+DATA=/bin/ls${EXEEXT}
if [ -x "`which nc 2>&1`" ] && nc -h 2>&1 | grep "x proxy address" >/dev/null; then
proxycmd="nc -x 127.0.0.1:$FWDPORT -X"
@@ -28,9 +29,9 @@ for p in 1 2; do
trace "testing ssh protocol $p socks version $s host $h"
${SSH} -F $OBJ/ssh_config \
-o "ProxyCommand ${proxycmd}${s} $h $PORT" \
- somehost cat /bin/ls > $OBJ/ls.copy
- test -f $OBJ/ls.copy || fail "failed copy /bin/ls"
- cmp /bin/ls $OBJ/ls.copy || fail "corrupted copy of /bin/ls"
+ somehost cat $DATA > $OBJ/ls.copy
+ test -f $OBJ/ls.copy || fail "failed copy $DATA"
+ cmp $DATA $OBJ/ls.copy || fail "corrupted copy of $DATA"
done
done
diff --git a/regress/forwarding.sh b/regress/forwarding.sh
index 7b281c01..dfe065dd 100644
--- a/regress/forwarding.sh
+++ b/regress/forwarding.sh
@@ -2,6 +2,7 @@
# Placed in the Public Domain.
tid="local and remote forwarding"
+DATA=/bin/ls${EXEEXT}
start_sshd
@@ -25,9 +26,9 @@ for p in 1 2; do
trace "transfer over forwarded channels and check result"
${SSH} -$q -F $OBJ/ssh_config -p$last -o 'ConnectionAttempts=4' \
- somehost cat /bin/ls > $OBJ/ls.copy
- test -f $OBJ/ls.copy || fail "failed copy /bin/ls"
- cmp /bin/ls $OBJ/ls.copy || fail "corrupted copy of /bin/ls"
+ somehost cat $DATA > $OBJ/ls.copy
+ test -f $OBJ/ls.copy || fail "failed copy $DATA"
+ cmp $DATA $OBJ/ls.copy || fail "corrupted copy of $DATA"
sleep 10
done
diff --git a/regress/sftp-batch.sh b/regress/sftp-batch.sh
index cffacb6d..0f2dafa8 100644
--- a/regress/sftp-batch.sh
+++ b/regress/sftp-batch.sh
@@ -3,7 +3,7 @@
tid="sftp batchfile"
-DATA=/bin/ls
+DATA=/bin/ls${EXEEXT}
COPY=${OBJ}/copy
BATCH=${OBJ}/sftp-batch